# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# /space/gentoo/cvsroot/gentoo-x86/net-www/tomcat/tomcat-4.0.4.ebuild,v 1.1 2002/06/23 08:00:28 sandymac Exp

S=${WORKDIR}/jakarta-tomcat-${PV}-LE-jdk14
DESCRIPTION="Apache Servlet Engine LE - requires JDK >= 1.4"
SRC_URI="http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v${PV}/bin/jakarta-tomcat-${PV}-LE-jdk14.tar.gz"
HOMEPAGE="http://jakarta.apache.org/tomcat"
LICENSE="Apache-1.1"
SLOT="0"
DEPEND=">=virtual/jdk-1.4"
RDEPEND="${DEPEND}"

src_install() {
	dodir /opt/jakarta/tomcat
	dodir /opt/jakarta/tomcat/logs
	touch ${D}/opt/jakarta/tomcat/logs/.keep
	cd ${S}
	dodoc RELEASE-NOTES-* README.txt RUNNING.txt LICENSE
	cp -Rdp bin common conf lib server webapps work ${D}/opt/jakarta/tomcat
	dodir /etc/env.d
	insinto /etc/env.d
	doins ${FILESDIR}/21tomcat
}
